Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 658904 - [abrt] pychess-0.10-0.8.rc1.fc14: engineNest.py:408:getEngineN:IndexError: list index out of range
Summary: [abrt] pychess-0.10-0.8.rc1.fc14: engineNest.py:408:getEngineN:IndexError: li...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: pychess
Version: 14
Hardware: x86_64
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Bruno Wolff III
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:4b677c8b
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-12-01 15:29 UTC by Patrick Uven
Modified: 2012-08-16 17:36 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-16 17:36:22 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (594 bytes, text/plain)
2010-12-01 15:29 UTC, Patrick Uven
no flags Details

Description Patrick Uven 2010-12-01 15:29:22 UTC
abrt version: 1.1.14
architecture: x86_64
cmdline: /usr/bin/python /usr/bin/pychess
component: pychess
executable: /usr/bin/pychess
kernel: 2.6.35.6-48.fc14.x86_64
package: pychess-0.10-0.8.rc1.fc14
reason: engineNest.py:408:getEngineN:IndexError: list index out of range
release: Fedora release 14 (Laughlin)
time: 1291217266
uid: 500

backtrace
-----
engineNest.py:408:getEngineN:IndexError: list index out of range

Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/pychess/widgets/newGameDialog.py", line 313, in onResponse
    engine = discoverer.getEngineN (playerno-1)
  File "/usr/lib/python2.7/site-packages/pychess/Players/engineNest.py", line 408, in getEngineN
    return self.getEngines()[self.getEngines().keys()[index]]
IndexError: list index out of range

Local variables in innermost frame:
index: 2
self: <EngineDiscoverer object at 0x30c6140 (pychess+Players+engineNest+EngineDiscoverer at 0x2900b40)>

How to reproduce
-----
1. Starting a computer vs. computer game
2. Trying to start another computer vs. computer game

Comment 1 Patrick Uven 2010-12-01 15:29:24 UTC
Created attachment 464016 [details]
File: backtrace

Comment 2 Héctor Vucetich 2011-01-18 21:51:34 UTC
Package: pychess-0.10-0.8.rc1.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. Start game with PyChess as opponent
2. After ending, start new game with gnuchess as opponent
3. The crash happenn

Comment 3 Héctor Vucetich 2011-05-21 16:05:37 UTC
Package: pychess-0.10-0.8.rc1.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. Start game with PyChess as opponent
2. After ending, start new game with crafty as opponent
3. The crash happenn

Comment 4 Fedora Admin XMLRPC Client 2011-07-12 19:42:19 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 5 Bruno Wolff III 2011-09-03 18:39:56 UTC
I have a new test update with a number of post 0.10 upstream fixes. Please try it out and let me know if it fixes this issue and/or causes other issues. Thanks.
https://admin.fedoraproject.org/updates/pychess-0.10.rev2004-1.fc14?_csrf_token=0458b62279c19fbd2e7bd1d82762e6eff5891188

Comment 6 Fedora End Of Life 2012-08-16 17:36:24 UTC
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.